<template>
<div class="row">
<div class="col-lg-8 col-md-12" >
<div class="port_blog_mainbox left_content">
<div class="row no-gutters" >
    <div class="col-md-6 order-md-1 order-2" >
        <div class="port_blog_contentbox">
            <span class="date_span">19 شهریور 1400</span>
            <h4 class="blog_heading">
                <a href="blog.html">اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</a>
            </h4>
            <div class="blog_info">
                <ul>
                    <li><i class="fas fa-user-edit"></i><a href="">ادمین</a> </li>
                    <li><i class="far fa-comments"></i><a href="">50</a></li>
                </ul>
            </div>
            <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
            <div class="blog_readmore">
                <router-link to="/post"><a href="" class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a></router-link>
            
            </div>
        </div>	
    </div>
    <div class="col-md-6 order-1 align-self-center">
        <div class="port_blog_imgbox">
            <img src="../../../public/assets/images/lrg-clients.png" alt="blog-image" class="img-fluid"/>	
        </div>	
    </div>

</div>
</div>

<div class="port_blog_mainbox right_content"  >
 <div class="row no-gutters"> 
    <div class="col-md-6 align-self-center" >
        <div class="port_blog_imgbox">
            <img src="../../../public/assets/images/Logo_inspiration_jpg_McepkS6d.jpg" alt="blog-image" class="img-fluid"/>	
        </div>	
    </div>
    <div class="col-md-6">
        <div class="port_blog_contentbox">
            <span class="date_span">15 خرداد 1399</span>
            <h4 class="blog_heading">
                <a href="blog.html">اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</a>
            </h4>
            <div class="blog_info">
                <ul>
                    <li><i class="fas fa-user-edit"></i><a href="">ناهید برکتی</a> </li>
                    <li><i class="far fa-comments"></i><a href="">50</a></li>
                </ul>
            </div>
            <p>اضی در ایجاد، مدیریت و اصلاح وب سایت را برجسته کند. یک برنامه نویس و توسعه دهنده وب باید در ارائ</p>
            <div class="blog_readmore">
            <router-link to="/post"><a href="" class="readmore_btn">Read More <i class="fas fa-long-arrow-alt-right"></i></a></router-link>
            </div>
        </div>	
    </div>
</div>
</div>
</div>
</div>





</template> 
<script>
import  { mapGetters  } from 'vuex';

export default {
    name :"blogLeft",
    data: function(){
        return {
            item : "",
            
        }   
    },
    components : {
        
    },
    computed: { 
        ...mapGetters({
            blogs : 'allBlogs'
            
        })
        

    },
    methods: {
        changeStyle() {
            if(this.item.styleNumber ==  1 ){
                console.log(this.item.styleNumber , 'vx')
               this.style = ! this.style
            }else if (this.item.styleNumber ==  2){
                this.style = ! this.style
            }
            
        }
    },
    
    created() {
        this.$store.dispatch('getAllBlogs');
    }
    

}
</script>